#ifndef __NF_SET_IPHASH_H
#define __NF_SET_IPHASH_H

#include <linux/netfilter/nf_set.h>
#include <linux/netfilter/nf_set_iphash_common.h>

#define SETTYPE_NAME "iphash"
#define MAX_RANGE 0x0000FFFF

struct nf_set_iphash {
	nf_set_ip_t netmask;		/* netmask */
	struct __nf_set_iphash map;	/* common iphash type of map */ 
};

enum iphash_attr {
	NFSET_IPHASH_LIMIT,
	NFSET_IPHASH_SIZE,
	NFSET_IPHASH_NETMASK,
	__NFSET_IPHASH_MAX
};
#define NFSET_IPHASH_MAX (__NFSET_IPHASH_MAX - 1)

#endif	/* __NF_SET_IPHASH_H */
